package com.trifork.sosigw.ws;

import com.trifork.sosigw.sts.STSProxy;

import static org.mockito.Matchers.any;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

public class CreateIdCardFromBSTEmbeddedTest extends CreateIdCardFromBSTTest {

    @Override
    protected void setupStsSuccessResponse() {
        STSProxy stsProxy = mock(STSProxy.class);
        SosiGWFacadeBusiness.setStsService(stsProxy);
        String stsResponse = getResourceString("XXXBST2SOSI-response.xml");
        when(stsProxy.callBST2SOSI(any())).thenReturn(stsResponse);
    }

    @Override
    protected void setupStsErrorResponse() {
        STSProxy stsProxy = mock(STSProxy.class);
        SosiGWFacadeBusiness.setStsService(stsProxy);
        String stsResponse = getResourceString("XXXBST2SOSI-error-response.xml");
        when(stsProxy.callBST2SOSI(any())).thenReturn(stsResponse);
    }
}
